#include "mimic.h"



/**
 * MiMic RemoteMCU httpd.<br/>
 * <p>Service list</p>
 * <pre>
 * /rom/ - romfs
 * /setup/ - MiMic configulation REST API.
 * /local/ - mbed LocalFileSystem
 * /mvm/   - MiMicVM REST API
 * </pre>
 */

class MiMicRemoteMcu:public MiMic::Httpd
{
private:
    ModUrl modurl; //basic URL parser
public:
    MiMicRemoteMcu():Httpd(80)
    {
    }
    virtual void onRequest(HttpdConnection& i_connection)
    {
        char url[32];
        int method;
        //try to ModRomFS module.
        if(this->modurl.execute(i_connection,url,32,&method)){
            //Otherwise, Send the redirect response to /rom/index.html
            i_connection.sendHeader(200,"text/html",NULL);
            i_connection.sendBodyF("<html><body>Your Request path is %s.</body></html>",url);
            return;
        }
        return;
    }
};

int main()
{
    NetConfig cfg; //create network configulation
    Net net(cfg);  //create a net instance.
    MiMicRemoteMcu httpd; //create a httpd instance.
    httpd.loop();  //start httpd loop.
    return 0;
}
